import Logger from "wbb-logger";
import {EnvironmentStr} from "../const/environment";
import {setupEnv} from "../config/env";

const logger = new Logger("config.ts");
setupEnv();

/**
 *
 * @param key
 * @param shouldLog additional param for testing
 * N.B
 */
export const readEnv = (key: string): string => {
  const value = process.env[key];
  const isEnvUndefined = value == undefined;

  const {ENVIRONMENT, JEST_WORKER_ID} = process.env;
  const isTesting = ENVIRONMENT === EnvironmentStr.TESTING || JEST_WORKER_ID;

  if (isEnvUndefined && !isTesting) {
    logger.error(`${key} is missing from .env`);
  }
  return value as string;
};
